#!/usr/local/bin/perl5
# fmlget.pl - by furukawa@tcp-ip.or.jp
# $B%G!<%?%Y!<%9$r=q$-49$($F!"(BHREF $B$NCf?H$r!"(B"mailto:adrs@domain?body=#get XXX"
#  $B$KCV$-49$($k(B
# usage: perl5 fmlget.pl adrs@domain
{
    my($tmp) = $0;
    $tmp = "./$tmp" if $tmp !~ /[\/\\]/;
    while ($tmp =~ /^(.*[\/\\])/){
        unshift(@INC, $1);
        last if !-l $tmp;
        $tmp = $1 . $tmp if ($tmp = readlink($tmp)) !~ /^\//;
    }
}

require 'nmztxt.pl';

$mladrs = shift;

# $B%F%s%]%i%j%U%!%$%k$N@_Dj(B
$FI = 'FLIST_I.tmp';
$FO = 'FLIST_O.tmp';

&nmztxt::init('NMZ');

# $B%G!<%?%Y!<%9(B -> $B%F%-%9%H$NJQ49(B
&nmztxt::flist2txt($FI);

open(FI, $FI);
open(FO, ">$FO");

$/ = '';
while (defined($felem = <FI>)){
    local($/) = "\n";
    ($fileno, $r, $dt, $st, $summary, $dd) = split(/\n/, $felem, 6);

    if (($url = $r) =~ s/^.*\///){
        $purl = "mailto:$mladrs?body=#get $url";
        $url = "mailto:$mladrs?body=%23get%20$url";

        $st =~ s/(HREF\=\")[^\"]*/$1$url/;
        $dd =~ s/(HREF\=\")[^\"]*(\">)[^\<]*/$1$url$2$purl/;
    }
    $felem = "$fileno\n$r\n$dt\n$st\n$summary\n$dd";
    print FO "$felem\n\n";
}
close(FI);
close(FO);

# $B%G!<%?%Y!<%9$K=q$-La$9(B
&nmztxt::txt2flist($FO);
&nmztxt::end;
unlink($FO);
unlink($FI);
