#!/usr/local/bin/perl5
# addnew.pl - by furukawa@tcp-ip.or.jp
# $B:G6a(B n $BF|0JFb$K99?7$7$?%U%!%$%k$K$D$$$F!"MWLs$KJ8;zNs(B str $B$rIU2C$9$k(B
# usage: perl5 addnew.pl n str

$DAY = @ARGV? shift: 7;
$STR = @ARGV? shift: "<EM>New!</EM>";

{
    my($tmp) = $0;
    $tmp = "./$tmp" if $tmp !~ /[\/\\]/;
    while ($tmp =~ /^(.*[\/\\])/){
        unshift(@INC, $1);
        last if !-l $tmp;
        $tmp = $1 . $tmp if ($tmp = readlink($tmp)) !~ /^\//;
    }
}

require 'nmztxt.pl';            # from pnamazu

# $STR $B$rIU2C$9$k;~9o$N7W;;(B
$T = $^T - ($DAY * 60 * 60 * 24);

# $B%F%s%]%i%j%U%!%$%k$N@_Dj(B
$FI = 'FLIST_I.tmp';
$FO = 'FLIST_O.tmp';

$| = 1;
&nmztxt::init('NMZ');
# $B%G!<%?%Y!<%9(B -> $B%F%-%9%H$NJQ49(B
&nmztxt::flist2txt($FI);

$/ = '';
if (open(TIM, "$nmztxt::DbPath.t")){
    open(FI, $FI);
    open(FO, ">$FO");

    while (defined($felem = <FI>)){
        last unless defined($tim = &nmztxt::readint(*TIM));
        ($fileno, $r, $dt, $st, $summary, $dd) = split(/\n/, $felem, 6);

        $st =~ s/\<\!\-\- NEW \-\-\>.*//;
        $st .= "<!-- NEW -->$STR" if $tim > $T;

        $felem = "$fileno\n$r\n$dt\n$st\n$summary\n$dd";
        print FO "$felem\n\n";
    }
    close(FI);
    close(FO);

    # $B%G!<%?%Y!<%9$K=q$-La$9(B
    &nmztxt::txt2flist($FO);
    &nmztxt::end;
    unlink($FO);
}
unlink($FI);
